import datetime
import solawi_apps.app_permission.integration
import solawi_apps.db_lib.dbid
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('app_permission', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='DefaultPermission',
            fields=[
                ('id', models.CharField(default=solawi_apps.db_lib.dbid.generate_id, editable=False, max_length=32, primary_key=True, serialize=False, validators=[solawi_apps.db_lib.dbid.validate_nanoid], verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Erstellt')),
                ('last_modified', models.DateTimeField(auto_now=True, verbose_name='Zuletzt geändert')),
                ('enabled', models.BooleanField(default=False, verbose_name='Aktiviert')),
                ('active_from', models.DateTimeField(default=datetime.datetime(2000, 1, 1, 0, 0, tzinfo=datetime.timezone.utc), verbose_name='Aktiv ab')),
                ('active_to', models.DateTimeField(default=datetime.datetime(2999, 12, 31, 23, 59, 59, 999999, tzinfo=datetime.timezone.utc), verbose_name='Aktiv bis')),
                ('app_name', models.CharField(choices=solawi_apps.app_permission.integration.get_all_installed_app_labels, max_length=200, unique=True, verbose_name='App Name')),
            ],
            options={
                'verbose_name': 'Standard Zugangsberechtigung',
                'verbose_name_plural': 'Standard Zugangsberechtigungen',
            },
        ),
    ]
