import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('bidding', '0006_round_traces_alter_bid_trace'),
    ]

    operations = [
        migrations.AddField(
            model_name='fiscalplan',
            name='number_of_months',
            field=models.PositiveSmallIntegerField(default=12, validators=[django.core.validators.MinValueValidator(limit_value=1), django.core.validators.MaxValueValidator(limit_value=24)], verbose_name='Anzahl Monate'),
        ),
    ]
