import solawi_apps.db_lib.dbid
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='TxtFile',
            fields=[
                ('id', models.CharField(default=solawi_apps.db_lib.dbid.generate_id, editable=False, max_length=32, primary_key=True, serialize=False, validators=[solawi_apps.db_lib.dbid.validate_nanoid], verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Erstellt')),
                ('last_modified', models.DateTimeField(auto_now=True, verbose_name='Zuletzt geändert')),
                ('enabled', models.BooleanField(default=False, verbose_name='Aktiviert')),
                ('folder', models.CharField(blank=True, max_length=255, null=True, verbose_name='Ordner')),
                ('filename', models.CharField(max_length=255, verbose_name='Dateiname')),
                ('content', models.TextField(max_length=10000000, verbose_name='Dateiinhalt')),
                ('line_endings', models.CharField(choices=[('crlf', 'crlf'), ('lf', 'lf')], default='crlf', max_length=4, verbose_name='Zeilenenden')),
            ],
            options={
                'verbose_name': 'TXT-Datei',
                'verbose_name_plural': 'TXT-Dateien',
                'unique_together': {('folder', 'filename')},
            },
        ),
    ]
