from django.test import TestCase


class RobotsTxtTest(TestCase):

    def test_robots_txt_file(self):
        response = self.client.get('/robots.txt')
        self.assertEqual(response.status_code, 200)
        self.assertContains(response, 'User-Agent: *')

    def test_humans_txt_file(self):
        response = self.client.get('/humans.txt')
        self.assertEqual(response.status_code, 200)

    def test_ads_txt_file(self):
        response = self.client.get('/ads.txt')
        self.assertEqual(response.status_code, 200)

    def test_security_txt_file(self):
        response = self.client.get('/.well-known/security.txt')
        self.assertEqual(response.status_code, 200)
