from django.urls import path

from solawi_apps.txt.views import WellKnownTxtFileView, RootTxtFileView

urlpatterns = [
    path('.well-known/<str:file>.txt', WellKnownTxtFileView.as_view(), name="well-known"),
    path('<str:file>.txt', RootTxtFileView.as_view(), name="root"),
]
app_name = 'solawi_apps.txt'
