class XssFilterMiddleware:

    def __init__(self, get_response):
        self.get_response = get_response

    def __call__(self, request):
        response = self.get_response(request)
        if response.get("X-XSS-Protection") is None:
            response["X-XSS-Protection"] = "1; mode=block"
        return response
