from datetime import timedelta

from django.core.management import BaseCommand
from django.utils.timezone import now

from solawi_apps.user.models import BurnedOtp


class Command(BaseCommand):

    def handle(self, *args, **options):
        BurnedOtp.objects.filter(created__lt=now()-timedelta(days=1)).delete()
