from datetime import timedelta

from django.core.management import BaseCommand
from django.utils.timezone import now

from solawi_apps.user.models import ForgotPassword


class Command(BaseCommand):

    def handle(self, *args, **options):
        ForgotPassword.objects.filter(created__lt=now() - timedelta(days=7)).delete()
