import solawi_apps.db_lib.dbid
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('user', '0002_loginattempt'),
    ]

    operations = [
        migrations.CreateModel(
            name='AuthenticationAttempt',
            fields=[
                ('id', models.CharField(default=solawi_apps.db_lib.dbid.generate_id, editable=False, max_length=32, primary_key=True, serialize=False, validators=[solawi_apps.db_lib.dbid.validate_nanoid], verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Erstellt')),
                ('ip', models.GenericIPAddressField(verbose_name='IP Adresse')),
            ],
            options={
                'verbose_name': 'Authentifizierungs-Versuch',
                'verbose_name_plural': 'Authentifizierungs-Versuche',
                'default_permissions': (),
            },
        ),
        migrations.AddField(
            model_name='loginattempt',
            name='ip',
            field=models.GenericIPAddressField(default=None, null=True, verbose_name='IP Adresse'),
        ),
        migrations.AddField(
            model_name='otpattempt',
            name='ip',
            field=models.GenericIPAddressField(default=None, null=True, verbose_name='IP Adresse'),
        ),
    ]
