import django.db.models.deletion
import solawi_apps.db_lib.dbid
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('sessions', '0001_initial'),
        ('user', '0003_authenticationattempt_loginattempt_ip_otpattempt_ip'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='UserSession',
            fields=[
                ('id', models.CharField(default=solawi_apps.db_lib.dbid.generate_id, editable=False, max_length=32, primary_key=True, serialize=False, validators=[solawi_apps.db_lib.dbid.validate_nanoid], verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Erstellt')),
                ('last_modified', models.DateTimeField(auto_now=True, verbose_name='Zuletzt geändert')),
                ('session_fk', models.OneToOneField(editable=False, on_delete=django.db.models.deletion.CASCADE, to='sessions.session', verbose_name='Sitzung')),
                ('user_fk', models.ForeignKey(editable=False, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL, verbose_name='User')),
            ],
            options={
                'verbose_name': 'Benutzer-Sitzung',
                'verbose_name_plural': 'Benutzer-Sitzungen',
                'default_permissions': (),
            },
        ),
    ]
