import tomllib
from pathlib import Path


def get_version() -> str:

    poetry_toml = Path(__file__).parent.parent / "pyproject.toml"

    with open(poetry_toml, "rb") as f:
        data = tomllib.load(f)

    return data.get("tool", {}).get("poetry", {}).get("version")
