from typing import List, Tuple
from django.apps import apps


def get_all_installed_app_labels() -> List[Tuple[str, str]]:
    list_of_app_labels = [
        (ac.name, ac.verbose_name) for ac in apps.get_app_configs() if ac.name.startswith('solawi_apps.')
    ]
    return list_of_app_labels
