from django import forms
from django.utils.translation import gettext_lazy as _

from solawi_apps.bidding.models import PreBid


class PreBidForm(forms.ModelForm):

    class Meta:
        model = PreBid
        fields = [
            "from_round",
            "fixed_value",
            "percentage_of_average_soli",
            "percentage_of_average_bid",
        ]

    share_id = forms.CharField(label=_("Anteils-ID"), max_length=32, required=True)
