from io import BytesIO

from xhtml2pdf import pisa


def render_pdf(rendered_template: str) -> bytes:
    output = BytesIO()
    pisa.CreatePDF(rendered_template, dest=output, raise_exception=True)
    return output.getvalue()
