from django import template

from solawi_apps.bidding.models import Event, PreBid

register = template.Library()


@register.simple_tag(name="number_of_shares_with_prebid")
def get_number_of_shares_with_prebid(event: Event) -> int:
    return PreBid.objects.filter(share_fk__event_fk=event).values("share_fk").distinct().count()
