from django.test import SimpleTestCase

from solawi_apps.passkeys.passkey import create_challenge


class RandomChallengeTest(SimpleTestCase):

    def test_randomness(self):
        challenges = []
        while len(challenges) < 1000:
            with self.subTest("step %d" % (len(challenges))):
                challenge = create_challenge()
                self.assertNotIn(challenge, challenges)
                challenges.append(challenge)
