((d) => {

    const updateFieldset = (fieldset) => {
        const status = fieldset.querySelector('legend input[type="checkbox"][data-dependent-sub-form-trigger]').checked;
        fieldset.querySelectorAll("input").forEach((inp) => {
            if (inp.getAttribute("data-dependent-sub-form-trigger") !== "1") {
                inp.disabled = !status;
            }
        });
    };

    d.querySelectorAll("fieldset[data-dependent-sub-form]").forEach((fieldset) => {
        const cb = fieldset.querySelector('legend input[type="checkbox"]');
        if (cb) {
            cb.setAttribute("data-dependent-sub-form-trigger", "1");
            cb.onchange = () => {
                updateFieldset(fieldset);
            };
            updateFieldset(fieldset);
        }
    });

})(document);
