((w, d) => {

    const autoclick = (o) => {
        const timerValue = parseInt(o.getAttribute("data-autoclick-after"));
        const remain = timerValue - 1;
        const id = o.getAttribute("id");
        if (id) {
            d.querySelectorAll(`[data-countdown-for="${id}"]`).forEach((c) => {
                c.innerText = remain;
            });
        }
        if (remain <= 0) {
            o.click();
            return;
        }
        window.setTimeout(() => {
            o.setAttribute("data-autoclick-after", remain);
            autoclick(o);
        }, 1000);
    };

    d.querySelectorAll("[data-autoclick-after]").forEach((o) => autoclick(o));

    d.querySelectorAll('a[href^="http"]:not([target]):not([data-do-not-mark-as-external])').forEach((o) => {
        o.setAttribute("target", "_blank");
        if (!o.getAttribute("data-no-external-icon")) {
            o.innerHTML = o.innerHTML + ' <i class="fa fa-fw fa-solid fa-arrow-up-right-from-square fa-xs"></i>';
        }
    });

})(window, document);
