from django import template
from django.conf import settings

register = template.Library()


@register.simple_tag(name="matomo_site_id", takes_context=False)
def get_matomo_site_id() -> str:
    return str(settings.MATOMO_SITE_ID)
