from django.conf import settings
from django.views.generic import TemplateView


class ImprintView(TemplateView):

    template_name = "solawi_apps/ui/pages/imprint.html"
    extra_context = {
        "email": settings.SERVER_EMAIL,
    }


class ContactView(TemplateView):

    template_name = "solawi_apps/ui/pages/contact.html"
    extra_context = {
        "email": settings.SERVER_EMAIL,
    }


class AboutView(TemplateView):

    template_name = "solawi_apps/ui/pages/about.html"
